cascading.tap.hadoop.util

## Class MeasuredOutputCollector

- java.lang.Object
- - cascading.tap.hadoop.util.MeasuredOutputCollector

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable, OutputCollector

    public class MeasuredOutputCollector
    extends java.lang.Object
    implements OutputCollector, java.io.Flushable, java.io.Closeable

### Constructor Summary

Constructors
Constructor and Description
`MeasuredOutputCollector(FlowProcess flowProcess, java.lang.Enum counter)`
`MeasuredOutputCollector(FlowProcess flowProcess, java.lang.Enum counter, OutputCollector outputCollector)`

### Method Summary

Methods
`void` `close()`
`void` `collect(java.lang.Object key, java.lang.Object value)`
`void` `flush()`
`OutputCollector` `getOutputCollector()`
`void` `setOutputCollector(OutputCollector outputCollector)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MeasuredOutputCollector

    public MeasuredOutputCollector(FlowProcess flowProcess,
                           java.lang.Enum counter)

#### MeasuredOutputCollector

    public MeasuredOutputCollector(FlowProcess flowProcess,
                           java.lang.Enum counter,
                           OutputCollector outputCollector)

### Method Detail

#### getOutputCollector

    public OutputCollector getOutputCollector()

#### setOutputCollector

    public void setOutputCollector(OutputCollector outputCollector)

#### collect

    public void collect(java.lang.Object key,
               java.lang.Object value)
                 throws java.io.IOException

Specified by:
  `collect` in interface `OutputCollector`
Throws:
  `java.io.IOException`

#### flush

    public void flush()
               throws java.io.IOException

Specified by:
  `flush` in interface `java.io.Flushable`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Throws:
  `java.io.IOException`